Subject: Re: ps/avoid-unnecessary-hook-invocation-with-packed-refs

From: Junio C Hamano <[email-masked]>
Date: Fri, 28 Jan 2022 13:14:57 -0800

Patrick Steinhardt <[email-masked]> writes:

> On Mon, Jan 24, 2022 at 11:39:58AM -0800, Junio C Hamano wrote:
>> * ps/avoid-unnecessary-hook-invocation-with-packed-refs (2022-01-17) 6 commits
>>  - refs: skip hooks when deleting uncovered packed refs
>>  - refs: do not execute reference-transaction hook on packing refs
>>  - refs: demonstrate excessive execution of the reference-transaction hook
>>  - refs: allow skipping the reference-transaction hook
>>  - refs: allow passing flags when beginning transactions
>>  - refs: extract packed_refs_delete_refs() to allow control of transaction
>> 
>>  Because a deletion of ref would need to remove it from both the
>>  loose ref store and the packed ref store, a delete-ref operation
>>  that logically removes one ref may end up invoking ref-transaction
>>  hook twice, which has been corrected.
>> 
>>  Introduces new leaks when merged to 'seen'.
>>  source: <[email-masked]>
>
> This leak was fixed in v4 of my series [1], so to the best of my

This topic has been in 'seen' and recent CI runs show there is no
failure due to leak checker.  Will remove the comment.  Thanks.

> knowledge there shouldn't be any more issues my series. The only
> question that remains open is Han-Wen's [2], but as I replied I'm not
> sure we actually need to adjust documentation of the flags given that we
> already do explicitly say how we pass through flags in all cases.

I'll let Han-Wen answer this first.

Thanks.

>
> Patrick
>
> [1]: https://public-inbox.org/git/[email-masked]/
> [2]: https://public-inbox.org/git/CAFQ2z_M+2D-5qPXN=[email-masked]/